org.codehaus.groovy.runtime.callsite

## Class PogoMetaMethodSite.PogoCachedMethodSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite
      - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite
        - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.PogoCachedMethodSite

- All Implemented Interfaces:
    CallSite
  Direct Known Subclasses:
    PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce
  Enclosing class:
    PogoMetaMethodSite

      public static class PogoMetaMethodSite.PogoCachedMethodSite
      extends PogoMetaMethodSite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

      `PogoMetaMethodSite.PogoCachedMethodSite, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrap, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

      `params`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PogoMetaMethodSite.PogoCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, java.lang.Class[] params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

      `call, callCurrent, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createCachedMethodSite, createPogoMetaMethodSite`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PogoMetaMethodSite.PogoCachedMethodSite

          public PogoMetaMethodSite.PogoCachedMethodSite(CallSite site,
                                                 MetaClassImpl metaClass,
                                                 CachedMethod metaMethod,
                                                 java.lang.Class[] params)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object receiver,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Overrides:
        `invoke` in class `PogoMetaMethodSite`
      Throws:
        `java.lang.Throwable`